Script hash UTXOs

GET/esplora/api/scripthash/{key}/utxo

Wallet API v1.0.0 · Script hashes

As GET /address/{address}/utxo, keyed by Electrum script hash.

Example

curl 'https://api.tensorcash.org/esplora/api/scripthash/<scripthash>/utxo'

Parameters

NameInTypeRequiredDescription
keypathstringYesElectrum script hash, 64 hex characters.

Responses

StatusDescriptionBody
200Unspent outputs
  • application/json Utxo[]
400Invalid scripthash, or Too many unspent transaction outputs (>5000)
  • text/plain string
422Validation Error
503Index syncing: n/m
  • text/plain string

Schemas

Utxo

FieldTypeRequiredDescription
txidstringYes
voutintegerYes
statusTxStatusYes
valueintegerYesSatoshis.

TxStatus

FieldTypeRequiredDescription
confirmedbooleanYesFalse while the transaction is in the mempool.
block_heightinteger—Confirmed only.
block_hashstring—Confirmed only.
block_timeinteger—Block timestamp, Unix seconds. Confirmed only.

ValidationError

FieldTypeRequiredDescription
locstring | integer[]Yes
msgstringYes
typestringYes
Source
tensorcash-wallet-api (tensorcash-api) v1.0.0 (772799e) · bobponey · MIT